// The page displayed when user selected a board (basically top root node for the chat thing)
// the { name: string } is basically an anonymous interface since you need an interface for anything that you want to pass as prop
// it's just a place holder interface, should change it as needed
// BoardSide bar for displaying members, channels and managing them. BoardChatBox for read send messages.
import { useState } from 'react';
import BoardChatBox from '../BoardChatBox';
import BoardSideBar from '../BoardSideBar';
import './Board.css'
import { IBoardManagerPopupProp, IBoardMetaInfo, IBoardSideBarProp, ManagerPageType } from '@/interfaces';
import BoardManagerPopup from '../BoardManagerPopup';

const Board: React.FC<{ name: string }> = ({ name }: { name: string }) => { //Should change the prop
    
    // probably need to create some interface for storing: board meta data, channel list, memberlist, initial channel chat messages.


    const [managerPageType, setManagerPageType] = useState<ManagerPageType>(ManagerPageType.None)

    const boardMetaInfo: IBoardMetaInfo = {boardName: "COMP307", channels: ["General"], members: ["User1","Professor x"],userIsAdmin: true};
    const demoSideBarProp: IBoardSideBarProp = {managerPageType: managerPageType, setManagerPageType: setManagerPageType, boardMetaInfo: boardMetaInfo};// To be replaced
    const demoPopupProp : IBoardManagerPopupProp = {managerPageType: managerPageType, setManagerPageType: setManagerPageType};
    return (
        <>
        <div className='container__board'>
        <table className='table__boardlayout'>
            <tr>
                <th><BoardSideBar {...demoSideBarProp} /></th> <th><BoardChatBox/></th>
            </tr>
        </table>
        {managerPageType == ManagerPageType.ManageMembers && <BoardManagerPopup {...demoPopupProp} />}
        {managerPageType == ManagerPageType.MangeChannels && <BoardManagerPopup {...demoPopupProp} />}
        </div>
        </>
    )
};

export default Board;