// The component that corresponds to the right side of inside of a discussion board
// includes the display of all messages and input text area 

import { useRef, useState } from "react";
import ChatMessage from "../ChatMessage/ChatMessage";
import { IChatMessageInfo } from "@/interfaces";

const BoardChatBox: React.FC = () => {
    // Initialize the chat history or something
    const [allMessages, setAllMessages] = useState<IChatMessageInfo[]>([{writer: "user1", message: "Hi"}]);
    const messageTextRef = useRef<string>("")

    const handleInputChange = (event: React.ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => {
        const { value } = event.target;
        messageTextRef.current = value

      };

    const handleSendMessage = (event: React.FormEvent<HTMLFormElement>) => {
        event.preventDefault();
        if (messageTextRef.current != "") {
            setAllMessages([...allMessages,{writer: "user1", message: messageTextRef.current}])
        }

    }

    return (
        <>
        <div className="container__boardchatbox">
            <div className="" id="chat-messages">
                {(allMessages.map((message) => <ChatMessage {...message}/>))}

            </div>

            <div>
                <form onSubmit={handleSendMessage}>
                    <input type="text" onChange={handleInputChange}/>
                    <select name="emoji" id="emoji">:)</select>
                    <input type="submit" value="Send"/>
                </form>
            </div>

        </div>
        </>
    );
};

export default BoardChatBox;