import { IBoardManagerPopupProp, ManagerPageType } from "@/interfaces";
import { useRef } from "react";
import './BoardManagerPopup.css'

const BoardManagerPopup: React.FC<IBoardManagerPopupProp> = (managerProp: IBoardManagerPopupProp) => {
    const objectToManageRef = useRef<string>("");
    const operationName = useRef<string>(""); // add for adding members and remove for remove members


    const handleInputChange = (event: React.ChangeEvent<HTMLInputElement | HTMLTextAreaElement>,ref: React.MutableRefObject<string>) => {
        const { value } = event.target;
        ref.current = value;
    };

    const handleFormSubmit = (event: React.FormEvent<HTMLFormElement>, managerType: ManagerPageType) => {
        event.preventDefault();
        if (operationName.current != "add" && operationName.current != "remove") {
            
        } else if (objectToManageRef.current == "") {

        } else {
            // add logic for using callback function from Board that send the request to backend

        }
    }

      

    return (
        <>

        <div className="container__managerpopup">
            <div><button onClick={() => managerProp.setManagerPageType(ManagerPageType.None)}>X</button></div>
            {managerProp.managerPageType == ManagerPageType.ManageMembers &&
            <form onSubmit={(e) => handleFormSubmit(e,ManagerPageType.ManageMembers)}>
                <label>Input a member id</label> <br></br>
                <input type="text" onChange={(e) => handleInputChange(e, objectToManageRef)}/> <br></br>
                <label>type "add" for adding a member and "remove" for removing a member</label> <br></br> 
                <input type="text" onChange={(e) => handleInputChange(e, operationName)}/> <br></br>
                <input type="submit" value="submit change"/>
            </form>
            }
            {managerProp.managerPageType == ManagerPageType.MangeChannels &&
            <form onSubmit={(e) => handleFormSubmit(e,ManagerPageType.MangeChannels)}>
                <label>Input a channel name</label> <br></br> 
                <input type="text" onChange={(e) => handleInputChange(e, objectToManageRef)}/> <br></br>
                <label>type "add" for adding a new channel and "remove" for removing a channel</label> <br></br>
                <input type="text" onChange={(e) => handleInputChange(e, operationName)}/> <br></br>
                <input type="submit" value="submit change"/>
            </form>
            
            }
        </div>

        </>
    )
}

export default BoardManagerPopup;