import { useNavigate } from 'react-router-dom';
import './UserBoardWidget.css'


export interface IUserBoardWidgetInfo {
    boardName: string,
    creator: string,
    boardId: string
};

const UserBoardWidget: React.FC<IUserBoardWidgetInfo> = (boardInfo: IUserBoardWidgetInfo) => {
    const navigate = useNavigate();

    const onBoardSelect = (event: React.MouseEvent<HTMLDivElement>) => {
        event.preventDefault();
        navigate('/boards/board');
    }

    return (
        <div className="container__userboardwidget" onClick={onBoardSelect}>
            <div className="container__board--main">
                
                <h3>{boardInfo.boardName}</h3>
            </div>
            <div className="container__board--extra">
                {/* <p>{reposData.authorName}</p> */}
                <ul className="list__boardinfo">
                    <li>Creator: {boardInfo.creator}</li>
                    <li>BoardId : {boardInfo.boardId}</li>
                </ul>
            </div>
        </div>
    )
};

export default UserBoardWidget;