
import { IPublicUser } from '@/types/user';
import { logout } from '@/utils/requests/user/logout';
import { getProfileInfo } from '@/utils/requests/user/profile';
import React from 'react';
import { RouteObject, useNavigate, useLoaderData } from 'react-router-dom';

const ProfilePage: React.FC = () => {
    const navigate = useNavigate();
    const user = useLoaderData() as IPublicUser;
    const handleLogout = async () => {
        navigate('/');
        await logout();
    };

    return (
        <div>
            <h1>Profile Page</h1>
            <p>Here is your profile information:</p>
            <p>Email: {user.email}</p>
            <button onClick={handleLogout}>Logout</button>
        </div>
    );
};

export const profileRoute: RouteObject = {
    path: '/profile',
    element: <ProfilePage />,
    loader: async () => await getProfileInfo()
};
