import mcGuildLogo from '/McGuild_Sword.png';
import { useBoxAnimation } from "@/utils/boxAnimation";
import './register.css'
import { register } from "@/utils/requests/user/register";
import { useEffect } from "react";
import { useNavigate } from "@/router";

const handleRegister = async (event: React.FormEvent<HTMLFormElement>, navigate: Function) => {
    event.preventDefault();
    try {
        const formData = new FormData(event.currentTarget);
        console.log(formData);

        const email = formData.get('email') as string;
        const username = formData.get('username') as string;
        const password = formData.get('password') as string;
        const response = await register(username, email, password);
        console.log(response);
        navigate('/login');
    } catch (err) {
        console.error(err);
    }
}

const Register: React.FC = () => {
    const navigate = useNavigate();
    const { clearImages } = useBoxAnimation();
    useEffect(() => {
        return clearImages;
    }, []);
    return (
        <>
            <img src={mcGuildLogo} alt="McGuild Logo" />

            <form className="formBox" onSubmit={(e) => handleRegister(e, navigate)}>

                <div className="formField">
                    <label htmlFor="username">Nickname:</label>
                    <input type="text" name="username" id="username" required />
                </div>

                <div className="formField">
                    <label htmlFor="email">Your McGill Email:</label>
                    <input type="text" name="email" id="email" required />
                </div>

                <div className="formField">
                    <label htmlFor="password">Password:</label>
                    <input type="password" name="password" id="password" required />
                </div>

                <div className="buttonBox">
                    <button type="submit" className="button login">register</button>
                    <button type="submit" className="button cancel" onClick={() => navigate('/')}>cancel</button>
                </div>
            </form>
        </>
    )
}

export default Register;
