import { IMessage } from "@/types/message/message";
import { Schema, model } from "mongoose";

const messageSchema = new Schema<IMessage> ({
    user: { type: Schema.Types.ObjectId, required: true },
    content: { type: String, required: true },
    createdAt: { type: Date, required: true, default: new Date() },
    channelId: { type: Schema.Types.ObjectId, required: true}
});

const Message = model<IMessage>("Message", messageSchema);

export default Message;