import { Request, Response } from "express";
import { CallbackWithoutResultAndOptionalError } from "mongoose";
import Board from "@/models/board/board";
import { IRequest } from "@/types/requests/session";

const create = async (req: Request, res: Response, next: CallbackWithoutResultAndOptionalError) => {
    try {
        const ireq = req as IRequest;
        const user = ireq.session.user;
        const board = await Board.create({ name: req.body.name, admin: user, users: [user], channels: [] });
        res.status(200).json({ message: "Board successfully created!", board, success: true });
        next();
    } catch (error: any)
    {
        next(error);
    }
};

export default create;