import { Request, Response } from "express";
import { CallbackWithoutResultAndOptionalError } from "mongoose";
import Board from "@/models/board/board";
import { IRequest } from "@/types/requests/session";

const refresh = async (req: Request, res: Response, next: CallbackWithoutResultAndOptionalError) => {
    try {
        const ireq = req as IRequest;
        const userData = ireq.session.user;
        const boards = await Board.find({ users: userData._id }).populate("admin").populate("users");
        res.status(200).json({ message: "Refreshed discussion boards!", boards, success: true });
        next();
    } catch (error: any) {
        next(error);
    }
};

export default refresh;