import { Request, Response } from "express";
import { CallbackWithoutResultAndOptionalError } from "mongoose";
import Board from "@/models/board/board";
import { IRequest } from "@/types/requests/session";
import Channel from "@/models/channel/channel";

const renameChannel = async (req: Request, res: Response, next: CallbackWithoutResultAndOptionalError) => {
    const ireq = req as IRequest;
    const userData = ireq.session.user;
    const board = await Board.findById(req.params.boardId);
    if (board === null)
    {
        res.status(400).json({ message: "Board does not exist" });
        return;
    }
    if (!board.admin.equals(userData._id)) {
        res.status(401).json({ message: "Permission denied" });
        return;
    }
    const channel = await Channel.findById(req.params.channelId);
    if (channel === null)
    {
        res.status(400).json({ message: "Channel does not exist" });
        return;
    }
    if (!board.channels.includes(channel._id)) {
        res.status(400).json({ messsge: "Could not rename channel" });
    }
    if (channel.is_DM)
    {
        res.status(400).json({ message: "Could not be renamed" });
        return;
    }
    const update = await Channel.updateOne({ _id: req.params.channelId }, { $set: { name: req.body.name } }, { new: true });
    res.status(200).json({ message: "Channel successfully renamed!", update ,success: true });
    next();
};

export default renameChannel;