import User from "@/models/user/user";
import { passwordHash } from "@/utils/crypto";
import { NextFunction, Request, Response } from "express";
import { IUser } from "@/types/user";
import { IRequest } from "@/types/requests/session";

export const login = async (req: Request, res: Response, next: NextFunction) => {
    try {
        const { email, password } = req.body as IUser;
        const user = await User.findOne({ 
            email, 
            password: passwordHash(password)
        });
        if (!user) {
            res.status(401).json({ message: "These email and password are invalid." });
            return;
        }
        const ireq = req as IRequest;
        ireq.session.user = user;
        res.status(200).json({ message: "Logged in successfully" });
        next();
    } catch (error: any) {
        res.status(401).json({ message: "These email and password are invalid." });
        next(error);
    }
};
