import { NextFunction, Request, Response } from "express";
import User from "@/models/user/user";
import { IUser } from "@/types/user";

export const register = async (req: Request, res: Response, next: NextFunction) => {
    try {
        const { email, password, username } = req.body as IUser;
        const existingUser = await User.findOne({ email });
        if (existingUser) {
            res.status(400).json({ message: "User already exists" });
            next();
        }
        await User.create({ email, password, username, createdAt: new Date() });
        res.status(201).json({ message: "User created successfully" });
        next();
    } catch (error: any) {
        next(error);
    }
};
